Subject: RE: bug#4395: 23.1; byte-compiler loses top-level (put 'x...)

From: "Drew Adams" <[email-masked]>
Date: Fri, 11 Sep 2009 07:23:56 -0700

> > C-h v the-var
>  
> > The doc shown is the original doc string. The top-level `put' had no
> > effect.
> 
> I cannot reproduce this.  Neither with Debian's Emacs-23.1, 
> nor with the CVS trunk.

Perhaps it is Windows-only, then.

What is the behavior you saw? Did the put take place in the byte-compiled file?
When you used C-h v, did you see the new doc string (from the put), instead of
the original one?